# Copyright (C) 2018, 2019 Cumulus Networks, inc.
#
# All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
#
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt


# Translate the native format into something close to the public format.  This
# is the abstration layer between the public object model and the
# implementation.


def copp_stats_get(ctx):
    copp_stats = ctx.copp_trap_v1.getCoppCounters()
    copp_config = ctx.copp_trap_v1.getCoppConf()
    copp_counters = {}
    for _, v in copp_stats.items():
        k = v['name'].replace('_', '-')
        pol_p = copp_counters[k] = {}
        pol = pol_p['statistics'] = {}
        pol['policer-id'] = int(v['pol_id'])
        pol['trap-group-id'] = int(v['trap_group_id'])
        attr = v['policer_attr'].split('/')
        pol['policer-cir'] = int(attr[0])
        pol['policer-cbs'] = int(attr[1])
        pol['to-cpu-pkts'] = int(v['to_cpu_pkts'])
        pol['to-cpu-bytes'] = int(v['to_cpu_bytes'])
        pol['violated-pkts'] = int(v['violation_counter_pkts'])
    for k, v in copp_config.items():
        k = k.replace('_', '-')
        copp_counters[k]['state'] = v['enable']
        copp_counters[k]['rate'] = int(v['rate'])
        copp_counters[k]['burst'] = int(v['burst'])

    return copp_counters


def cp_trap_get(ctx):
    cp_trap = ctx.copp_trap_v1.getTrapInfo()
    return cp_trap


def cp_get(ctx):
    cp_info = {}
    cp_info['policer'] = copp_stats_get(ctx)
    cp_info['trap'] = cp_trap_get(ctx)
    return cp_info
