#
# Copyright (c) 2021 NVIDIA CORPORATION & AFFILIATES. ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Nvidia Corporation
# and its affiliates (the "Company") and all right, title, and interest
# in and to the software product, including all associated intellectual
# property rights, are and shall remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
# Copyright (C) 2018, 2019 Cumulus Networks, inc.
# All Rights reserved.


# Translate the native format into something close to the public format.  This
# is the abstration layer between the public object model and the
# implementation.


def dhcp_relays_get(ctx):
    return ctx.dhcp_relay_v1.getDhcpRelayConfig()


def dhcp_relay_get(ctx, vrf_id):
    try:
        return ctx.dhcp_relay_v1.getDhcpRelayConfig()[vrf_id]
    except KeyError:
        raise ctx.errors.ItemDoesNotExist


def dhcp_relays6_get(ctx):
    return ctx.dhcp_relay_v1.getDhcpRelay6Config()


def dhcp_relay6_get(ctx, vrf_id):
    try:
        return ctx.dhcp_relay_v1.getDhcpRelay6Config()[vrf_id]
    except KeyError:
        raise ctx.errors.ItemDoesNotExist
