from __future__ import division, generator_stop
from jinja2.runtime import LoopContext, TemplateReference, Macro, Markup, TemplateRuntimeError, missing, concat, escape, markup_join, unicode_join, to_string, identity, TemplateNotFound, Namespace
name = 'ptp4l.conf.j2'

def root(context, missing=missing):
    resolve = context.resolve_or_missing
    undefined = environment.undefined
    if 0: yield None
    l_0_running = resolve('running')
    l_0_ptp_conf = resolve('ptp_conf')
    l_0_monitor_conf = resolve('monitor_conf')
    l_0_simulation = resolve('simulation')
    l_0_if_ptps = resolve('if_ptps')
    pass
    yield '################################################################################\n## /etc/ptp4l.conf\n################################################################################\n\n'
    if (not (undefined(name='running') if l_0_running is missing else l_0_running)):
        pass
        yield '# ptp is disabled\n'
    else:
        pass
        yield '[global]\n#\n# Default Data Set\n#\nslaveOnly               0\npriority1               %s\npriority2               %s\ndomainNumber            %s\n\n' % (
            environment.getitem((undefined(name='ptp_conf') if l_0_ptp_conf is missing else l_0_ptp_conf), 'priority1'), 
            environment.getitem((undefined(name='ptp_conf') if l_0_ptp_conf is missing else l_0_ptp_conf), 'priority2'), 
            environment.getitem((undefined(name='ptp_conf') if l_0_ptp_conf is missing else l_0_ptp_conf), 'domain'), 
        )
        if environment.getitem((undefined(name='ptp_conf') if l_0_ptp_conf is missing else l_0_ptp_conf), 'two-step') == 'off':
            pass
            yield 'twoStepFlag             0\n'
        else:
            pass
            yield 'twoStepFlag             1\n'
        yield 'dscp_event              %s\ndscp_general            %s\n\n' % (
            environment.getitem((undefined(name='ptp_conf') if l_0_ptp_conf is missing else l_0_ptp_conf), 'ip-dscp'), 
            environment.getitem((undefined(name='ptp_conf') if l_0_ptp_conf is missing else l_0_ptp_conf), 'ip-dscp'), 
        )
        l_0_monitor_conf = environment.getitem((undefined(name='ptp_conf') if l_0_ptp_conf is missing else l_0_ptp_conf), 'monitor')
        context.vars['monitor_conf'] = l_0_monitor_conf
        context.exported_vars.add('monitor_conf')
        yield 'offset_from_master_min_threshold   %s\noffset_from_master_max_threshold   %s\nmean_path_delay_threshold          %s\n\n#\n# Run time options\n#\nlogging_level           6\npath_trace_enabled      0\nuse_syslog              1\nverbose                 0\nsummary_interval        0\n\n#\n# Default interface options\n#\n' % (
            environment.getitem((undefined(name='monitor_conf') if l_0_monitor_conf is missing else l_0_monitor_conf), 'min-offset-threshold'), 
            environment.getitem((undefined(name='monitor_conf') if l_0_monitor_conf is missing else l_0_monitor_conf), 'max-offset-threshold'), 
            environment.getitem((undefined(name='monitor_conf') if l_0_monitor_conf is missing else l_0_monitor_conf), 'path-delay-threshold'), 
        )
        if (undefined(name='simulation') if l_0_simulation is missing else l_0_simulation):
            pass
            yield 'time_stamping           software\n'
        else:
            pass
            yield 'time_stamping           hardware\n'
        if environment.getitem((undefined(name='ptp_conf') if l_0_ptp_conf is missing else l_0_ptp_conf), 'acceptable-master'):
            pass
            yield '\n\n[acceptable_master_table]\nmaxTableSize 16\n'
            for (l_1_clock_id, l_1_acc) in context.call(environment.getattr(environment.getitem((undefined(name='ptp_conf') if l_0_ptp_conf is missing else l_0_ptp_conf), 'acceptable-master'), 'items')):
                pass
                yield 'acceptable_master_clockIdentity %s %s\n' % (
                    l_1_clock_id, 
                    environment.getitem(l_1_acc, 'alt-priority'), 
                )
            l_1_clock_id = l_1_acc = missing
        if (undefined(name='if_ptps') if l_0_if_ptps is missing else l_0_if_ptps):
            pass
            yield '\n\n# Interfaces in which ptp should be enabled\n# these interfaces should be routed ports\n# if an interface does not have an ip address\n# the ptp4l will not work as expected.\n'
            for (l_1_iface_name, l_1_if_ptp) in context.call(environment.getattr((undefined(name='if_ptps') if l_0_if_ptps is missing else l_0_if_ptps), 'items')):
                pass
                yield '\n[%s]\n' % (
                    l_1_iface_name, 
                )
                if environment.getitem(l_1_if_ptp, '_l2-mode') == 'access':
                    pass
                    yield 'l2_mode                 access\n'
                elif environment.getitem(l_1_if_ptp, '_l2-mode') == 'trunk':
                    pass
                    yield 'l2_mode                 trunk\n'
                if environment.getitem(l_1_if_ptp, '_vlan-interface'):
                    pass
                    yield 'vlan_intf               %s\n' % (
                        environment.getitem(l_1_if_ptp, '_vlan-interface'), 
                    )
                if environment.getitem(l_1_if_ptp, '_source-ip'):
                    pass
                    yield 'src_ip                  %s\n' % (
                        environment.getitem(l_1_if_ptp, '_source-ip'), 
                    )
                yield 'logAnnounceInterval     %s\nlogSyncInterval         %s\nlogMinDelayReqInterval  %s\nannounceReceiptTimeout  %s\nudp_ttl                 %s\n' % (
                    environment.getitem(environment.getitem(l_1_if_ptp, 'timers'), 'announce-interval'), 
                    environment.getitem(environment.getitem(l_1_if_ptp, 'timers'), 'sync-interval'), 
                    environment.getitem(environment.getitem(l_1_if_ptp, 'timers'), 'delay-req-interval'), 
                    environment.getitem(environment.getitem(l_1_if_ptp, 'timers'), 'announce-timeout'), 
                    environment.getitem(l_1_if_ptp, 'ttl'), 
                )
                if environment.getitem(l_1_if_ptp, 'message-mode') == 'unicast':
                    pass
                    yield 'unicast_listen          1\n'
                elif environment.getitem(l_1_if_ptp, 'message-mode') == 'mixed':
                    pass
                    yield 'hybrid_e2e              1\n'
                if environment.getitem(l_1_if_ptp, 'forced-master') == 'off':
                    pass
                    yield 'masterOnly              0\n'
                else:
                    pass
                    yield 'masterOnly              1\n'
                if environment.getitem(l_1_if_ptp, 'delay-mechanism') == 'auto':
                    pass
                    yield 'delay_mechanism         Auto\n'
                elif environment.getitem(l_1_if_ptp, 'delay-mechanism') == 'end-to-end':
                    pass
                    yield 'delay_mechanism         E2E\n'
                elif environment.getitem(l_1_if_ptp, 'delay-mechanism') == 'peer-to-peer':
                    pass
                    yield 'delay_mechanism         P2P\n'
                if environment.getitem(l_1_if_ptp, 'transport') == 'ipv4':
                    pass
                    if environment.getitem(l_1_if_ptp, '_vlan-interface'):
                        pass
                        yield 'network_transport       RAWUDPv4\n'
                    else:
                        pass
                        yield 'network_transport       UDPv4\n'
                elif environment.getitem(l_1_if_ptp, 'transport') == 'ipv6':
                    pass
                    if environment.getitem(l_1_if_ptp, '_vlan-interface'):
                        pass
                        yield 'network_transport       RAWUDPv6\n'
                    else:
                        pass
                        yield 'network_transport       UDPv6\n'
                elif environment.getitem(l_1_if_ptp, 'transport') == '802.3':
                    pass
                    yield 'network_transport       L2\n'
            l_1_iface_name = l_1_if_ptp = missing

blocks = {}
debug_info = '5=16&14=22&15=23&16=24&18=26&23=33&24=34&26=36&27=40&28=41&29=42&43=44&48=50&53=53&54=56&57=60&64=63&66=66&67=68&69=71&72=74&73=77&75=79&76=82&78=85&79=86&80=87&81=88&82=89&83=91&85=94&88=97&93=103&95=106&97=109&100=112&101=114&106=120&107=122&112=128'