from __future__ import division, generator_stop
from jinja2.runtime import LoopContext, TemplateReference, Macro, Markup, TemplateRuntimeError, missing, concat, escape, markup_join, unicode_join, to_string, identity, TemplateNotFound, Namespace
name = 'roce-qos-infra.conf.j2'

def root(context, missing=missing):
    resolve = context.resolve_or_missing
    undefined = environment.undefined
    if 0: yield None
    l_0_config = resolve('config')
    pass
    yield '#\n# Default qos-infra configuration for Mellanox Spectrum chip\n#\n# Copyright © 2021 NVIDIA CORPORATION & AFFILIATES. ALL RIGHTS RESERVED.\n#\n# This software product is a proprietary product of Nvidia Corporation and its affiliates\n# (the "Company") and all right, title, and interest in and to the software\n# product, including all associated intellectual property rights, are and\n# shall remain exclusively with the Company.\n#\n# This software product is governed by the End User License Agreement\n# provided with the software product. \n\n#roce mode is %s\n\n# scheduling algorithm: algorithm values = {dwrr}\nscheduling.algorithm = dwrr\n\n# priority groups\n# supported group names are control, bulk, service1-6\n' % (
        environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode'), 
    )
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'traffic.priority_group_list = [bulk]\n'
        elif environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'traffic.priority_group_list = [bulk,service1]\n'
    else:
        pass
        yield 'traffic.priority_group_list = [bulk]\n'
    yield '\n# internal cos values assigned to each priority group\n# each cos value should be assigned exactly once\n# internal cos values {0..7}\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'priority_group.bulk.cos_list = [0,1,2,3,4,5,6,7]\n'
        elif environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'priority_group.bulk.cos_list = [0,1,2,4,5,6,7]\npriority_group.service1.cos_list = [3]\n'
    else:
        pass
        yield 'priority_group.bulk.cos_list = [0,1,2,3,4,5,6,7]\n'
    yield '\n# Alias Name defined for each priority group\n# Valid string between 0-255 chars\n# Sample alias support for naming priority groups\n#priority_group.bulk.alias = "Bulk"\n\n# priority group ID assigned to each priority group\n#priority_group.control.id = 7\n#priority_group.service2.id = 2\npriority_group.bulk.id = 0\n\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'priority_group.service1.id = 1\n'
    yield '\n# all priority groups share a service pool on Spectrum\n# service pools assigned to each priority group\npriority_group.bulk.service_pool = 0\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'priority_group.service1.service_pool = 1\n'
    yield '\n# service pool assigned for lossless PGs\n#flow_control.ingress_service_pool = 0\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'flow_control.ingress_service_pool = 1\n'
    yield '\n# --- ingress buffer space allocations ---\n# total buffer\n#  - ingress minimum buffer allocations\n#  - ingress service pool buffer allocations\n#  - priority group ingress headroom allocations\n#  - ingress global headroom allocations\n#  = total ingress shared buffer size\n\n# ingress service pool buffer allocation: percent of total buffer\n# If a service pool has no priority groups, the buffer is added\n# to the shared buffer space.\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield 'ingress_service_pool.0.percent = 100.0# all priority groups\n'
    else:
        pass
        yield 'ingress_service_pool.0.percent = 50.0\n'
    yield '\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        yield 'ingress_service_pool.1.percent = 50.0\n'
    yield '# Ingress buffer port.pool buffer : size in bytes\n#port.service_pool.0.ingress_buffer.reserved = 10240\n#port.service_pool.0.ingress_buffer.shared_size = 9000\n#port.management.ingress_buffer.reserved = 0\n\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'port.service_pool.1.ingress_buffer.reserved = 0\n'
        elif environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'port.service_pool.1.ingress_buffer.reserved = 10240\n'
    yield '\n# priority group minimum buffer allocation: size in bytes\n# priority group shared buffer allocation: shared buffer size in bytes\n# if a priority group has no packet priority values assigned to it, the buffers will not be allocated\n\n#priority_group.bulk.ingress_buffer.reserved           = 0\n#priority_group.bulk.ingress_buffer.shared_size        = 15\n\n# ---- ingress dynamic buffering settings\n# To enable ingress static pool, set the mode to 0\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield '#ingress_service_pool.0.mode = 0\n'
    else:
        pass
        yield 'ingress_service_pool.0.mode = 1\n'
    yield '\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        yield 'ingress_service_pool.1.mode = 1\n'
    yield '\n# The ALPHA defines the max% of buffers (quota) available on a\n# per ingress port OR ipool, Ingress PG, Egress TC, Egress port OR epool.\n# ALPHA value equates to the following buffer limit calculated as:\n# alpha%(alpha+1) = Max Buffer percentage\n\n# https://community.mellanox.com/s/article/understanding-the-alpha-parameter-in-the-buffer-configuration-of-mellanox-spectrum-switches\n# Each shared buffer pool can use a maximum of [total_buffer * (alpha / (alpha+1))]\n# Configure quota values mapped to the following alpha values:\n# Configuration value = alpha level:\n# Both ALPHA_*(string representation) as well as integer values (old representation) will be supported for alpha\n# 0/ALPHA_0  = alpha 0\n# 1/ALPHA_1_128  = alpha 1/128\n# 2/ALPHA_1_64  = alpha 1/64\n# 3/ALPHA_1_32  = alpha 1/32\n# 4/ALPHA_1_16  = alpha 1/16\n# 5/ALPHA_1_8  = alpha 1/8\n# 6/ALPHA_1_4  = alpha 1/4\n# 7/ALPHA_1_2  = alpha 1/2\n# 8/ALPHA_1  = alpha  1\n# 9/ALPHA_2  = alpha  2\n# 10/ALPHA_4 = alpha  4\n# 11/ALPHA_8 = alpha  8\n# 12/ALPHA_16 = alpha 16\n# 13/ALPHA_32 = alpha 32\n# 14/ALPHA_64 = alpha 64\n# 15/ALPHA_INFINITY = alpha Infinity\n\n# Ingress buffer per-port dynamic buffering alpha (Default: ALPHA_8)\n#port.service_pool.0.ingress_buffer.dynamic_quota = ALPHA_8\n#port.management.ingress_buffer.dynamic_quota = ALPHA_8\n\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'port.service_pool.1.ingress_buffer.dynamic_quota = ALPHA_1\n'
        elif environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'port.service_pool.1.ingress_buffer.dynamic_quota = ALPHA_8\n'
    yield '\n# Ingress buffer dynamic buffering alpha for lossless PGs (if any; Default: ALPHA_1)\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'flow_control.ingress_buffer.dynamic_quota = ALPHA_1\n'
        elif environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield '#flow_control.ingress_buffer.dynamic_quota = ALPHA_1\n'
    else:
        pass
        yield '#flow_control.ingress_buffer.dynamic_quota = ALPHA_1\n'
    yield '\n# Ingress buffer per-PG dynamic buffering alpha (Default: ALPHA_8)\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield '#priority_group.bulk.ingress_buffer.dynamic_quota      = ALPHA_8\n'
    else:
        pass
        yield 'priority_group.bulk.ingress_buffer.dynamic_quota      = ALPHA_8\n'
    yield '\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'priority_group.service1.ingress_buffer.dynamic_quota = ALPHA_8\n'
    yield '\n# --- egress buffer space allocations ---\n# total egress buffer\n#  - minimum buffer allocations\n#  = total service pool buffer size\n# service pool assigned for lossless PGs\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'flow_control.egress_service_pool = 1\n'
        else:
            pass
            yield '#flow_control.egress_service_pool = 0\n'
    else:
        pass
        yield '#flow_control.egress_service_pool = 0\n'
    yield '\n# service pool assigned for egress queues\negress_buffer.egr_queue_0.uc.service_pool = 0\negress_buffer.egr_queue_1.uc.service_pool = 0\negress_buffer.egr_queue_2.uc.service_pool = 0\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield 'egress_buffer.egr_queue_3.uc.service_pool = 0\n'
    else:
        pass
        yield 'egress_buffer.egr_queue_3.uc.service_pool = 1\n'
    yield 'egress_buffer.egr_queue_4.uc.service_pool = 0\negress_buffer.egr_queue_5.uc.service_pool = 0\negress_buffer.egr_queue_6.uc.service_pool = 0\negress_buffer.egr_queue_7.uc.service_pool = 0\n# Service pool buffer allocation: percent of total\n# buffer size.\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield 'egress_service_pool.0.percent = 100.0# all priority groups, UC and MC\n'
    else:
        pass
        yield 'egress_service_pool.0.percent = 50.0# all priority groups, UC and MC\n'
    yield '\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'egress_service_pool.1.percent = 100.0\n'
        elif environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'egress_service_pool.1.percent = 50.0\n'
    yield '\n# Egress buffer port.pool buffer : size in bytes\n#port.service_pool.0.egress_buffer.uc.reserved = 10240\n#port.service_pool.0.egress_buffer.uc.shared_size = 9000\n#port.management.egress_buffer.reserved = 0\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'port.service_pool.1.egress_buffer.uc.reserved = 0\n'
        elif environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'port.service_pool.1.egress_buffer.uc.reserved = 10240\n'
    yield '\n# Front panel port egress buffer limits enforced for each\n# priority group.\n# Unlimited egress buffers not supported on Spectrum.\n#priority_group.bulk.unlimited_egress_buffer     = false\n\n# if a priority group has no cos values assigned to it, the buffers will not be allocated\n\n# Service pool mapping for MC.SP region\negress_buffer.cos_0.mc.service_pool = 0\negress_buffer.cos_1.mc.service_pool = 0\negress_buffer.cos_2.mc.service_pool = 0\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield 'egress_buffer.cos_3.mc.service_pool = 0\n'
    else:
        pass
        yield 'egress_buffer.cos_3.mc.service_pool = 1\n'
    yield 'egress_buffer.cos_4.mc.service_pool = 0\negress_buffer.cos_5.mc.service_pool = 0\negress_buffer.cos_6.mc.service_pool = 0\negress_buffer.cos_7.mc.service_pool = 0\n# Reserved and static shared buffer allocation for MC.SP region: size in bytes\n#egress_buffer.cos_0.mc.reserved = 10240\n#egress_buffer.cos_1.mc.reserved = 10240\n#egress_buffer.cos_2.mc.reserved = 10240\n#egress_buffer.cos_3.mc.reserved = 10240\n#egress_buffer.cos_4.mc.reserved = 10240\n#egress_buffer.cos_5.mc.reserved = 10240\n#egress_buffer.cos_6.mc.reserved = 10240\n#egress_buffer.cos_7.mc.reserved = 10240\n#egress_buffer.cos_0.mc.shared_size = 40\n#egress_buffer.cos_1.mc.shared_size = 40\n#egress_buffer.cos_2.mc.shared_size =  5\n#egress_buffer.cos_3.mc.shared_size = 40\n#egress_buffer.cos_4.mc.shared_size = 40\n#egress_buffer.cos_5.mc.shared_size = 40\n#egress_buffer.cos_6.mc.shared_size = 40\n#egress_buffer.cos_7.mc.shared_size = 30\n\n# Shared buffer allocation for ePort.TC region : size in bytes.\n#egress_buffer.egr_queue_0.uc.shared_size   = 40\n#egress_buffer.egr_queue_1.uc.shared_size   = 40\n#egress_buffer.egr_queue_2.uc.shared_size   =  5\n#egress_buffer.egr_queue_3.uc.shared_size   = 40\n#egress_buffer.egr_queue_4.uc.shared_size   = 40\n#egress_buffer.egr_queue_5.uc.shared_size   = 40\n#egress_buffer.egr_queue_6.uc.shared_size   = 40\n#egress_buffer.egr_queue_7.uc.shared_size   = 30\n\n# Minimum buffer allocation for ePort.TC region: size in bytes\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield '#egress_buffer.egr_queue_0.uc.reserved  = 1024\n#egress_buffer.egr_queue_1.uc.reserved  = 1024\n#egress_buffer.egr_queue_2.uc.reserved  = 1024\n'
    else:
        pass
        yield 'egress_buffer.egr_queue_0.uc.reserved  = 1024\negress_buffer.egr_queue_1.uc.reserved  = 0\negress_buffer.egr_queue_2.uc.reserved  = 0\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'egress_buffer.egr_queue_3.uc.reserved  = 0\n'
        else:
            pass
            yield 'egress_buffer.egr_queue_3.uc.reserved  = 1024\n'
    else:
        pass
        yield '#egress_buffer.egr_queue_3.uc.reserved  = 1024\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield '#egress_buffer.egr_queue_4.uc.reserved  = 1024\n#egress_buffer.egr_queue_5.uc.reserved  = 1024\n'
    else:
        pass
        yield 'egress_buffer.egr_queue_4.uc.reserved  = 0\negress_buffer.egr_queue_5.uc.reserved  = 0\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield '#egress_buffer.egr_queue_6.uc.reserved  = 1024\n#egress_buffer.egr_queue_7.uc.reserved  = 1024\n'
    else:
        pass
        yield 'egress_buffer.egr_queue_6.uc.reserved  = 1024\negress_buffer.egr_queue_7.uc.reserved  = 0\n'
    yield '\n# Reserved Egress buffer for TCs mapped to lossless SPs\n#flow_control.egress_buffer.reserved = 0\n\n# Egress buffer ePort.MC buffer : size in bytes\n# the per-port limit on multicast packets (applies to all switch priorities)\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'port.egress_buffer.mc.reserved = 0\nport.egress_buffer.mc.shared_size = 4294967295\n'
        elif environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'port.egress_buffer.mc.reserved = 10240\nport.egress_buffer.mc.shared_size = 92160\n'
    else:
        pass
        yield '#port.egress_buffer.mc.reserved = 10240\n#port.egress_buffer.mc.shared_size = 92160\n'
    yield '\n# To enable egress static pool, set the mode to 0\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield '#egress_service_pool.0.mode = 0\n'
    else:
        pass
        yield 'egress_service_pool.0.mode = 1\n'
    yield '\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        yield 'egress_service_pool.1.mode = 1\n'
    yield '# Egress dynamic buffer pool configuration\n# Replace the shared_size parameter with the dynamic_quota=n/ALPHA_x,\n# where ‘n’ should be the configuration value for alpha.\n# \t\t‘ALPHA_x’ should be string representation for alpha.\n# Pls note : Same alpha configuration values can be used as mentioned in Ingress Dynamic Buffering section above\n# Egress buffer per-port dynamic buffering quota (alpha ; Default: ALPHA_16)\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        yield 'port.service_pool.0.egress_buffer.uc.dynamic_quota = ALPHA_8\n'
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'port.service_pool.1.egress_buffer.uc.dynamic_quota = ALPHA_INFINITY\n'
        elif environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield 'port.service_pool.1.egress_buffer.uc.dynamic_quota = ALPHA_8\n'
    else:
        pass
        yield '#port.service_pool.0.egress_buffer.uc.dynamic_quota = ALPHA_16\n'
    yield '#port.management.egress_buffer.dynamic_quota = ALPHA_8\n\n\n# Egress buffer per-egress-queue dynamic buffering quota (alpha) for lossless egress queues (Default: ALPHA_INFINITY)\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'flow_control.egress_buffer.dynamic_quota = ALPHA_INFINITY\n'
        elif environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossy':
            pass
            yield '#flow_control.egress_buffer.dynamic_quota = ALPHA_1\n'
    else:
        pass
        yield '#flow_control.egress_buffer.dynamic_quota = ALPHA_1\n'
    yield '\n# Egress buffer per-egress-queue dynamic buffering quota (alpha) for unicast (Default: ALPHA_8)\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield '#egress_buffer.egr_queue_0.uc.dynamic_quota    = ALPHA_2\n#egress_buffer.egr_queue_1.uc.dynamic_quota = ALPHA_4\n#egress_buffer.egr_queue_2.uc.dynamic_quota = ALPHA_1\n#egress_buffer.egr_queue_3.uc.dynamic_quota = ALPHA_1_2\n#egress_buffer.egr_queue_4.uc.dynamic_quota = ALPHA_1_4\n#egress_buffer.egr_queue_5.uc.dynamic_quota = ALPHA_1_8\n#egress_buffer.egr_queue_6.uc.dynamic_quota = ALPHA_1_16\n#egress_buffer.egr_queue_7.uc.dynamic_quota = ALPHA_1_32\n'
    else:
        pass
        yield 'egress_buffer.egr_queue_0.uc.dynamic_quota    = ALPHA_8\n#egress_buffer.egr_queue_1.uc.dynamic_quota = ALPHA_4\n#egress_buffer.egr_queue_2.uc.dynamic_quota = ALPHA_1\negress_buffer.egr_queue_3.uc.dynamic_quota = ALPHA_8\n#egress_buffer.egr_queue_4.uc.dynamic_quota = ALPHA_1_4\n#egress_buffer.egr_queue_5.uc.dynamic_quota = ALPHA_1_8\negress_buffer.egr_queue_6.uc.dynamic_quota = ALPHA_8\n#egress_buffer.egr_queue_7.uc.dynamic_quota = ALPHA_1_32\n'
    yield '\n# Egress buffer per-egress-queue dynamic buffering quota (alpha) for multicast (Default: ALPHA_INFINITY)\n#egress_buffer.egr_queue_0.mc.dynamic_quota    = ALPHA_2\n#egress_buffer.egr_queue_1.mc.dynamic_quota = ALPHA_4\n#egress_buffer.egr_queue_2.mc.dynamic_quota = ALPHA_1\n#egress_buffer.egr_queue_3.mc.dynamic_quota = ALPHA_1_2\n#egress_buffer.egr_queue_4.mc.dynamic_quota = ALPHA_1_4\n#egress_buffer.egr_queue_5.mc.dynamic_quota = ALPHA_1_8\n#egress_buffer.egr_queue_6.mc.dynamic_quota = ALPHA_1_16\n#egress_buffer.egr_queue_7.mc.dynamic_quota = ALPHA_INFINITY\n\n# These parameters can be assigned to the virtual Multicast port as well (Default: ALPHA_1_4)\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield '#egress_buffer.cos_0.mc.dynamic_quota = ALPHA_1_4\n#egress_buffer.cos_1.mc.dynamic_quota = ALPHA_8\n#egress_buffer.cos_2.mc.dynamic_quota = ALPHA_4\n#egress_buffer.cos_3.mc.dynamic_quota = ALPHA_2\n#egress_buffer.cos_4.mc.dynamic_quota = ALPHA_1_8\n#egress_buffer.cos_5.mc.dynamic_quota = ALPHA_1\n#egress_buffer.cos_6.mc.dynamic_quota = ALPHA_1_2\n#egress_buffer.cos_7.mc.dynamic_quota = ALPHA_1_4\n'
    else:
        pass
        yield 'egress_buffer.cos_0.mc.dynamic_quota = ALPHA_1_4\negress_buffer.cos_1.mc.dynamic_quota = ALPHA_1_4\negress_buffer.cos_2.mc.dynamic_quota = ALPHA_1_4\negress_buffer.cos_3.mc.dynamic_quota = ALPHA_1_4\negress_buffer.cos_4.mc.dynamic_quota = ALPHA_1_4\negress_buffer.cos_5.mc.dynamic_quota = ALPHA_1_4\negress_buffer.cos_6.mc.dynamic_quota = ALPHA_1_4\negress_buffer.cos_7.mc.dynamic_quota = ALPHA_1_4\n'
    yield '\n# internal cos values mapped to egress queues\n# multicast queue: same as unicast queue\ncos_egr_queue.cos_0.uc  = 0\ncos_egr_queue.cos_0.cpu = 0\n\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield 'cos_egr_queue.cos_1.uc  = 1\ncos_egr_queue.cos_1.cpu = 1\n\ncos_egr_queue.cos_2.uc  = 2\ncos_egr_queue.cos_2.cpu = 2\n'
    else:
        pass
        yield 'cos_egr_queue.cos_1.uc  = 0\ncos_egr_queue.cos_1.cpu = 0\n\ncos_egr_queue.cos_2.uc  = 0\ncos_egr_queue.cos_2.cpu = 0\n'
    yield '\ncos_egr_queue.cos_3.uc  = 3\ncos_egr_queue.cos_3.cpu = 3\n\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield 'cos_egr_queue.cos_4.uc  = 4\ncos_egr_queue.cos_4.cpu = 4\n\ncos_egr_queue.cos_5.uc  = 5\ncos_egr_queue.cos_5.cpu = 5\n'
    else:
        pass
        yield 'cos_egr_queue.cos_4.uc  = 0\ncos_egr_queue.cos_4.cpu = 0\n\ncos_egr_queue.cos_5.uc  = 0\ncos_egr_queue.cos_5.cpu = 0\n'
    yield '\ncos_egr_queue.cos_6.uc  = 6\ncos_egr_queue.cos_6.cpu = 6\n\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'off':
        pass
        yield 'cos_egr_queue.cos_7.uc  = 7\ncos_egr_queue.cos_7.cpu = 7\n'
    else:
        pass
        yield 'cos_egr_queue.cos_7.uc  = 0\ncos_egr_queue.cos_7.cpu = 0\n'
    yield '\n'
    if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'enable') == 'on':
        pass
        if environment.getitem((undefined(name='config') if l_0_config is missing else l_0_config), 'mode') == 'lossless':
            pass
            yield 'egress_service_pool.1.infinite_flag = TRUE\n'

blocks = {}
debug_info = '14=12&21=14&22=16&24=19&34=26&35=28&37=31&55=38&56=40&64=44&65=46&72=50&73=52&89=56&95=63&103=67&104=69&106=72&120=76&126=83&161=87&162=89&164=92&170=96&171=98&173=101&181=108&187=115&188=117&198=121&199=123&212=133&223=140&229=147&230=149&232=152&241=156&242=158&244=161&260=165&298=172&307=178&308=180&316=189&323=195&336=202&337=204&340=207&350=214&356=221&365=225&367=228&369=231&379=238&380=240&382=243&390=250&421=257&446=264&463=271&480=278&488=285&489=287'