#
# Copyright (c) 2021 NVIDIA CORPORATION & AFFILIATES. ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Nvidia Corporation
# and its affiliates (the "Company") and all right, title, and interest
# in and to the software product, including all associated intellectual
# property rights, are and shall remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
# Copyright (C) 2018, 2019 Cumulus Networks, inc.
# All Rights reserved.


# Show the component's data structures in their native format.  The focus is on
# getting the data into Python.


import json
import re

import logging
logger = logging.getLogger(__name__)

# def mlnx_roce_counters_get(ctx, port):
#    output = ctx.sh.sudo(
#        "/usr/lib/cumulus/mlxcmd",
#        "--json", "roce", "status", "--port", port)
#    data = json.loads(str(output))
#    return data


def load_file_qos_conf_get(ctx):
    output = ctx.fileops.load_file("/etc/cumulus/switchd.d/qos.conf")
    return output


def load_file_qos_features_get(ctx):
    file = "/etc/cumulus/datapath/qos/qos_features.conf"
    output = ctx.fileops.load_file(file)
    return output


def load_file_qos_infra_get(ctx):
    output = ctx.fileops.load_file("/etc/mlx/datapath/qos/qos_infra.conf")
    return output


def intf_qos_counters_get(ctx, port):
    output = ctx.sh.sudo("/usr/lib/cumulus/mlxcmd",
                         "--json", "qos", "counters", "--port", port)
    qos_counters = json.loads(str(output))
    return qos_counters


def intf_roce_counters_get(ctx, port):
    output = ctx.sh.sudo("/usr/lib/cumulus/mlxcmd",
                         "--json", "roce", "counters", "--port", port)
    data = json.loads(str(output))
    roce_counters = {}
    for key in data:
        new_key = re.sub("_", "-", key)
        roce_counters[new_key] = data[key]
    return roce_counters


def intf_roce_status_get(ctx, port):
    output = ctx.sh.sudo("/usr/lib/cumulus/mlxcmd",
                         "--json", "roce", "status", "--port", port)
    data = json.loads(str(output))
    return data


def port_buffers_get(ctx, port):
    output = ctx.sh.sudo("/usr/lib/cumulus/mlxcmd",
                         "--json", "buffers", "port_reserved",
                         "counters", "--port", port)
    data = json.loads(str(output))
    return data


def port_sp_pg_map_get(ctx, port):
    output = ctx.sh.sudo("/usr/lib/cumulus/mlxcmd",
                         "--json", "priority", "priority_group",
                         "--port", port)
    data = json.loads(str(output))
    return data


def roce_system_pools_get(ctx):
    output = ctx.sh.sudo("/usr/lib/cumulus/mlxcmd",
                         "--json", "roce", "status", "--system")
    data = json.loads(str(output))
    return data
