#
# Copyright (c) 2021 NVIDIA CORPORATION & AFFILIATES. ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Nvidia Corporation
# and its affiliates (the "Company") and all right, title, and interest
# in and to the software product, including all associated intellectual
# property rights, are and shall remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
#
#
#


class EmptyImpl:
    """
    Implementation class for 'empty'.

    It tells callers not to use the implementation for 'empty'.
    """

    def get_revman(self):
        """
        No revman activities are allowed for 'empty'. This is an error.
        """
        raise NotImplementedError("'empty' does not abide the revman.")


def prepare_empty(ctx):
    """
    Attach the 'empty' implementation somewhere we can get at it.
    """
    # Create the _empty implementation.
    ctx.versions_v1._empty = EmptyImpl()
